unit USingleDA;

interface

implementation

uses
  SysUtils,
  ConsoleHelper,
  MAI_v2_DLL;


var
  SerialNumber          : string;
  i,j,Result            : Integer;
  Voltages			        : Array[0..1] of Double;
	CardID,	ChannelNumber, CurrentNumberOfValues, MaxValuesToSet: Cardinal;
  KeyThatWasPressed     : AnsiChar;

begin
	Result					      := -1000;
 	ChannelNumber			    := 0;

	CardID := GetFirstDevice();
	if (CardID < 0) then
	begin
		PrintError(CardID, CardID);
	 	Exit;
	end;

  WriteLn('Verwende Karte mit ID 0.');
  Writeln('Serial Number : '+GetSerialNumber(CardID));                                     // Seriennummer der Karte
  WriteLn;
 	Voltages[0] :=  2.5;																		// Beispielwerte
	Voltages[1] := -2.5;

//////////////////////////////////////////////////////////////////////////////////////////////
// Werte ausgeben																		                                    //
//////////////////////////////////////////////////////////////////////////////////////////////

 	MaxValuesToSet			  := 100;
 	CurrentNumberOfValues	:= 0;
  WriteLn('Schreibe '+inttostr(MaxValuesToSet)+ ' Werte. (Druecken Sie <ESC> zum Abbrechen.)');
  WriteLn;

	while (CurrentNumberOfValues < MaxValuesToSet) do 											// Bedingung fr Beendigung der Schleife
	begin
    if (KeyPressed(KeyThatWasPressed)) then
    begin
        if(KeyThatWasPressed = #27) then
        begin
           WriteLn('Sie haben <ESC> gedrueckt.');
				   break;
        end;

    end;
    for j := 0 to 1 do
		begin 
		 			Result := DA_WriteChannelVoltage(	CardID,		      // ID der verwendeten Karte
												                    ChannelNumber,	// Kanal, welcher die Werte ausgibt
												                    Voltages[j]);		// Wert


		if (Result <> 0) then 												 // Wenn Rckgabewert nicht "0", dann liegt ein Fehler vor
		begin
			PrintError(CardID, Result);
      Exit;
		end;
    Inc( CurrentNumberOfValues );
		Write(Char(13)+'  ' + InttoStr( currentNumberOfValues )+ '/' + InttoStr(  MaxValuesToSet )+'     Spannung: ' +FloattoStr(  Voltages[j] )+' Volt                          ');
		Sleep(250);
		end;

	end;

  WriteLn;
  WriteLn;
  Writeln('Fertig. (Bitte <Enter> druecken...)');
  Readln(SerialNumber);

end.

