//////////////////////////////////////////////////////////////////////////////////////////////
// Beispiel: Hinzufgen von Ethernet Devices zur Gerteliste                                //
//////////////////////////////////////////////////////////////////////////////////////////////
#include <stdio.h>
#include <conio.h>
#include <iostream>

#include <windows.h>

using namespace std;

#include "..\\Goldammer\\MAI_v2_DLL.h"
#if 1
// __stdcall
#pragma comment( lib, "..\\Goldammer\\LIB_STDCALL\\MAI_v2_WIN32_DLL" )
#else
// __cdecl
#pragma comment( lib, "..\\Goldammer\\LIB_CDECL\\MAI_v2_WIN32_DLL" )
#endif

int ErrorHandler(int CardID, int ErrorNumber);


int main(){

	unsigned int	CardID		= 0;

    long ethdevCount = RemoteDevicesSearch(); // Will only work on IPv4 Networks
    for(int i = 0 ;i< ethdevCount; i++){
        char ipAddresss[200];
        RemoteDevicesGetIPFromSearchResult(i,ipAddresss,199);
        bool isNew = false; 
        if(RemoteDeviceConnect(&CardID, ipAddresss, -1, true, &isNew)==0){
            cout << "Card " << i << " Serial : " << GetSerialNumber(CardID) << endl;
            RemoteDeviceDisconnect(CardID);
        }
        else 
            cout << "Failed to open Card " << i  << endl;
    }
    
    // alternatively use RemoteDevicesSearchAndConnectAll at program start and use IPv4 devices like all other Goldammer devices

    RemoteDevicesSearchAndConnectAll(); 
    for(int i = 0 ;i< GetNumberOfDevices(); i++){
        cout << "Card " << i << " Serial : " << GetSerialNumber(CardID) << endl;
    }

}
//////////////////////////////////////////////////////////////////////////////////////////////
// Treten negative Rckgabewerte aufgerufener Funktionen auf, liegt ein Fehler vor.			//
// Mittels der ErrorHandler-Funktion wird eine Fehlerbeschreibung zurckgegeben.			//
//////////////////////////////////////////////////////////////////////////////////////////////
int ErrorHandler(int CardID, int ErrorNumber)
{
	char Descr[200];
	GetErrorDescription(CardID, ErrorNumber, Descr);
	cout << Descr << endl;
	return ERROR_SUCCESS;
}
