//////////////////////////////////////////////////////////////////////////////////////////////
// Beispiel Manipulation des zur freien zur Verfgung stehenden Teil des EEProms			// 
// (nur fr USB BASIC Karten)																//
//////////////////////////////////////////////////////////////////////////////////////////////
#include <iostream>
#include <string>
#include <stdio.h>
#include <conio.h>
#include <iostream>
#include <windows.h>

using namespace std;

#include "..\\Goldammer\\MAI_v2_DLL.h"
#if 1
// __stdcall
#pragma comment( lib, "..\\Goldammer\\LIB_STDCALL\\MAI_v2_WIN32_DLL" )
#else
// __cdecl
#pragma comment( lib, "..\\Goldammer\\LIB_CDECL\\MAI_v2_WIN32_DLL" )
#endif


#define MaxSize	256


enum _EEPromOptions	{ READEEPROM, WRITEEEPROM, CLEAREEPROM };


int ErrorHandler(int CardID, int ErrorNumber);

int main()
{

	int				CardIDtmp	= 0;
	unsigned int	CardID		= 0;
	int				Result		= 0;
	unsigned char	EEPromData[MaxSize];
	unsigned int	DataSize	= 0;
	int				Option		= 0;
	string			WriteData;

	memset(EEPromData, 0, MaxSize);




//////////////////////////////////////////////////////////////////////////////////////////////
// CardID der ersten, verfgbaren Karte ausgeben											//
//////////////////////////////////////////////////////////////////////////////////////////////
	CardIDtmp = GetFirstDevice();															// gibt die ID der ersten, angeschlossenen Karte zurck
	if (CardIDtmp < 0)
	{
		cout << "Karte nicht angeschlossen." << endl;
		system("Pause");
		return 0;
	}
	else
		CardID = CardIDtmp;


//////////////////////////////////////////////////////////////////////////////////////////////
// Optionen																					//
//////////////////////////////////////////////////////////////////////////////////////////////
	cout << "\n Verfuegbare Optionen: " << endl;											// Men
	cout << " ---------------------" << endl;
	cout << " 0 - EEProm auslesen" << endl;
	cout << " 1 - EEProm beschreiben" << endl;
	cout << " 2 - EEProm leeren" << endl;
	cout << " 3 - Beenden\n" << endl;
	cin >> Option;
	if ((Option < 0) || (Option > 3))
		Option = 3;
	system("CLS");

	switch(Option)
	{
	case READEEPROM:																		// EEProm auslesen
		cout << "Wieviele Werte sollen gelesen werden?";									// Anzahl der zu lesenden Werte, maximal 256
		cin >> DataSize;

		if (DataSize > MaxSize)																// grere Werte als MaxSize korrigieren
			DataSize = MaxSize;
		
		Result = PrivateFlashDataRead(CardID, (unsigned char*)EEPromData, DataSize);		// auslesen
		if (Result != 0)
		{
			ErrorHandler(CardID, Result);
			system("Pause");
			return 0;
		}
		cout << "Ausgabe:\n" << EEPromData << endl;											// ausgelesene Werte anzeigen
		break;

	case WRITEEEPROM:																		// EEProm beschreiben
		WriteData = "Diese Zeichen werden auf den zur freien Programmierung stehenden Teil des EEProms geschrieben.";	// zu schreibender String
		cout << "\"" << WriteData << "\"";
		
		for (unsigned int i = 0; i < MaxSize; i++)
		{
			EEPromData[i] = WriteData[i];													// String in Array,  
			DataSize = i;																	// Anzahl Zeichen
			if (WriteData[i] == 0x00)														// bis zum abschlieenden Nullzeichen des Strings
				break;
		}

		if (DataSize > MaxSize)																// bei mehr Zeichen als MaxSize (256)
			DataSize = MaxSize;																// wird der Wert herunterkorrigiert

		Result = PrivateFlashDataWrite(CardID, EEPromData, DataSize);						// EEProm beschreiben
		if (Result != 0)
		{
			ErrorHandler(CardID, Result);
			system("Pause");
			return 0;
		}
		break;
	case CLEAREEPROM:
		cout << " Alle Werte des privaten Flashs werden geloescht / auf den Wert 0xFF gesetzt." << endl;
		Result = PrivateFlashDataClear(CardID);												// EEProm lschen (nur der frei zur Verfgung stehende Teil!)
		if (Result != 0)
		{
			ErrorHandler(CardID, Result);
			system("Pause");
			return 0;
		}
		break;
	default:																																					
		break;
	}

	cout << "\n\n";
	system("Pause");
	return 0;
}


//////////////////////////////////////////////////////////////////////////////////////////////
// Treten negative Rckgabewerte aufgerufener Funktionen auf, liegt ein Fehler vor.
// Mittels der ErrorHandler-Funktion wird eine Fehlerbeschreibung zurckgegeben / ausgegeben.
//////////////////////////////////////////////////////////////////////////////////////////////
int ErrorHandler(int CardID, int ErrorNumber)
{
	char Descr[200];
	GetErrorDescription(CardID, ErrorNumber, Descr);
	cout << "Fehlernummer:  " << ErrorNumber << endl;
	cout << "Beschreibung:  " << Descr << endl;
	return ERROR_SUCCESS;
}
