//////////////////////////////////////////////////////////////////////////////////////////////
// Beispiel PWM																				//
//////////////////////////////////////////////////////////////////////////////////////////////
#include <stdio.h>
#include <conio.h>
#include <iostream>


#include <windows.h>

using namespace std;

#include "..\\Goldammer\\MAI_v2_DLL.h"
#if 1
// __stdcall
#pragma comment( lib, "..\\Goldammer\\LIB_STDCALL\\MAI_v2_WIN32_DLL" )
#else
// __cdecl
#pragma comment( lib, "..\\Goldammer\\LIB_CDECL\\MAI_v2_WIN32_DLL" )
#endif



int ErrorHandler(int CardID, int ErrorNumber);
bool PlusMinusEscPressed(char & KeyP);

int main()
{
	bool			Loop		= false;
	int				Result		= 0;
	unsigned int	Ratio		= 50;
	int				CardIDtmp	= 0;
	unsigned int	CardID		= 0;
	char			Key			= 0;
	unsigned int	Channel		= 0;
	unsigned int	BitValue	= 0;



//////////////////////////////////////////////////////////////////////////////////////////////
// CardID der ersten, verfgbaren Karte ausgeben											//
//////////////////////////////////////////////////////////////////////////////////////////////
	CardIDtmp = GetFirstDevice();															// gibt die ID der ersten, angeschlossenen Karte zurck
	if (CardIDtmp < 0)																		// keine Karte angeschlossen	
	{
		cout << "Keine Karte angeschlossen.\n\n\n";
		system("Pause");
		return 0;
	}
	else
	{
		Loop = true;
		CardID = CardIDtmp;
	}

	if (GetPWMChannels(CardID)< 1)	{
		cout << "Keine PWM Kanaele vorhanden.\n\n\n";
		system("Pause");
		return 0;
	}
	PWM_StartOutput(CardID);
	PWM_PreparePWMOutput(CardID,0,1,Ratio);
	cout << "Nutze Karte 0, Kanal 0 \n\n";
	cout << "Aendern der PWM Rate : <+> und <-> druecken, <Esc> fuer Abbruch\n\n";
	cout << " Puls/Pause Rate: " << Ratio;			

//////////////////////////////////////////////////////////////////////////////////////////////
// Messdaten abholen																		//
//////////////////////////////////////////////////////////////////////////////////////////////
	while(Loop)																				// solange (Loop == true)
	{
		if(PlusMinusEscPressed(Key)){
			
			if(Key == 27)
		 		Loop = false;															// fhrt zum Beenden der while-Schleife
			else {
				if((Key == '+')&& (Ratio < 100))
					Ratio ++;
				if((Key == '-')&& (Ratio > 0))
					Ratio --;
				Result = PWM_WriteNewPWMRatio(CardID,0,Ratio);
				if(Result != 0){
					ErrorHandler(CardID,Result);
					Loop = false;	
				}

				cout << "\r Puls/Pause Rate: " << Ratio << "     " ;			
			}
		}
		Sleep(10);
	}
						
	PWM_StopOutput(CardID);
	return 0;
}


//////////////////////////////////////////////////////////////////////////////////////////////
// Treten negative Rckgabewerte aufgerufener Funktionen auf, liegt ein Fehler vor.			//
// Mittels der ErrorHandler-Funktion wird eine Fehlerbeschreibung zurckgegeben.			//
//////////////////////////////////////////////////////////////////////////////////////////////

int ErrorHandler(int CardID, int ErrorNumber)
{
	char Descr[200];
	GetErrorDescription(CardID, ErrorNumber, Descr);
	cout << Descr << endl;
	return ERROR_SUCCESS;
}

bool PlusMinusEscPressed(char & KeyP)
{
	
	if(_kbhit()){
		KeyP = _getch();
		if(KeyP == '+')
			return true;
		if(KeyP == '-')
			return true;
		if(KeyP == 27)
			return true;

	}
	return false;
	
}